Debian Bug report logs - #523050
bluez-utils: Rename /etc/modprobe.d/bluez?

version graph

Package: bluez-utils; Maintainer for bluez-utils is Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>; Source for bluez-utils is src:bluez.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 8 Apr 2009 07:00:01 UTC

Severity: normal

Found in version bluez-utils/3.36-3

Fixed in version bluez/4.42-2

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#523050; Package bluez-utils. (Wed, 08 Apr 2009 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Wed, 08 Apr 2009 07:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bluez-utils: Rename /etc/modprobe.d/bluez?
Date: Wed, 08 Apr 2009 07:12:56 +0200
Package: bluez-utils
Version: 3.36-3
Severity: normal

I just noticed the following when launching "modprobe":

WARNING: All config files need .conf: /etc/modprobe.d/bluez, it will be
ignored in a future release.

This doesn't really hit me (I've enver been able to make Bluetooth stuff
work properly on my machine and I don't need it) but I htink this is
somethign you probably shoudl care about in the package, if not done already
(sorry, I'm not online right now, so I can't check the BTS...but I fear
forgetting about reporting this bug).

I guess you should take care of renaming that file to bluez.conf or so.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages bluez-utils depends on:
ii  dbus                         1.2.12-1    simple interprocess messaging syst
ii  libbluetooth2                3.36-1      Library to use the BlueZ Linux Blu
ii  libc6                        2.9-6       GNU C Library: Shared libraries
ii  libdbus-1-3                  1.2.12-1    simple interprocess messaging syst
ii  libglib2.0-0                 2.20.0-2    The GLib library of C routines
ii  libusb-0.1-4                 2:0.1.12-13 userspace USB programming library
ii  lsb-base                     3.2-22      Linux Standard Base 3.2 init scrip
ii  makedev                      2.3.1-88    creates device files in /dev
ii  module-init-tools            3.7-pre9-1  tools for managing Linux kernel mo
ii  udev                         0.140-2     /dev/ and hotplug management daemo

Versions of packages bluez-utils recommends:
pn  bluez-audio                   <none>     (no description available)
ii  obex-data-server              0.3.4-1    D-Bus service for OBEX client and 

Versions of packages bluez-utils suggests:
ii  bluez-firmware               1.2-2       Firmware for Bluetooth devices
ii  kdebluetooth                 1.0~beta8-5 KDE Bluetooth Framework

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>:
Bug#523050; Package bluez-utils. (Wed, 08 Apr 2009 14:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>. (Wed, 08 Apr 2009 14:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 523050@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Christian Perrier <bubulle@debian.org>, 523050@bugs.debian.org
Subject: Re: [Pkg-bluetooth-maintainers] Bug#523050: bluez-utils: Rename /etc/modprobe.d/bluez?
Date: Wed, 8 Apr 2009 16:55:31 +0200
On Wed, Apr 08, 2009 at 07:12:56AM +0200, Christian Perrier wrote:
> WARNING: All config files need .conf: /etc/modprobe.d/bluez, it will be
> ignored in a future release.
> 
> This doesn't really hit me (I've enver been able to make Bluetooth stuff
> work properly on my machine and I don't need it) but I htink this is
> somethign you probably shoudl care about in the package, if not done already
> (sorry, I'm not online right now, so I can't check the BTS...but I fear
> forgetting about reporting this bug).
> 
> I guess you should take care of renaming that file to bluez.conf or so.

thanks for reporting this, actually the file come from < 3.12-1 and it is not
needed anymore, I think it might make sense to remove it on upgrade if the user
hasn't made modifications. If there are changes it might make sense to move it
to bluez.conf instead.

filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

Endian little hate we
-- Anonymous (?)




Tags added: pending Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Tue, 30 Jun 2009 18:12:05 GMT) Full text and rfc822 format available.

Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. (Wed, 01 Jul 2009 11:06:09 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 01 Jul 2009 11:06:10 GMT) Full text and rfc822 format available.

Message #17 received at 523050-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 523050-close@bugs.debian.org
Subject: Bug#523050: fixed in bluez 4.42-2
Date: Wed, 01 Jul 2009 11:02:08 +0000
Source: bluez
Source-Version: 4.42-2

We believe that the bug you reported is fixed in the latest version of
bluez, which is due to be installed in the Debian FTP archive:

bluetooth_4.42-2_all.deb
  to pool/main/b/bluez/bluetooth_4.42-2_all.deb
bluez-alsa_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez-alsa_4.42-2_amd64.deb
bluez-audio_4.42-2_all.deb
  to pool/main/b/bluez/bluez-audio_4.42-2_all.deb
bluez-compat_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez-compat_4.42-2_amd64.deb
bluez-cups_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez-cups_4.42-2_amd64.deb
bluez-gstreamer_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez-gstreamer_4.42-2_amd64.deb
bluez-pcmcia-support_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez-pcmcia-support_4.42-2_amd64.deb
bluez-utils_4.42-2_all.deb
  to pool/main/b/bluez/bluez-utils_4.42-2_all.deb
bluez_4.42-2.diff.gz
  to pool/main/b/bluez/bluez_4.42-2.diff.gz
bluez_4.42-2.dsc
  to pool/main/b/bluez/bluez_4.42-2.dsc
bluez_4.42-2_amd64.deb
  to pool/main/b/bluez/bluez_4.42-2_amd64.deb
libbluetooth-dev_4.42-2_amd64.deb
  to pool/main/b/bluez/libbluetooth-dev_4.42-2_amd64.deb
libbluetooth3_4.42-2_amd64.deb
  to pool/main/b/bluez/libbluetooth3_4.42-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523050@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated bluez package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 30 Jun 2009 20:05:13 +0200
Source: bluez
Binary: libbluetooth3 libbluetooth-dev bluetooth bluez bluez-alsa bluez-gstreamer bluez-cups bluez-pcmcia-support bluez-compat bluez-utils bluez-audio
Architecture: source all amd64
Version: 4.42-2
Distribution: unstable
Urgency: low
Maintainer: Debian Bluetooth Maintainers <pkg-bluetooth-maintainers@lists.alioth.debian.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 bluetooth  - Bluetooth support
 bluez      - Bluetooth tools and daemons
 bluez-alsa - Bluetooth ALSA support
 bluez-audio - Transitional package
 bluez-compat - BlueZ 3.x compatibility binaries
 bluez-cups - Bluetooth printer driver for CUPS
 bluez-gstreamer - Bluetooth GStreamer support
 bluez-pcmcia-support - PCMCIA support files for BlueZ 2.0 Bluetooth tools
 bluez-utils - Transitional package
 libbluetooth-dev - Development files for using the BlueZ Linux Bluetooth library
 libbluetooth3 - Library to use the BlueZ Linux Bluetooth stack
Closes: 523050 534511 535089
Changes: 
 bluez (4.42-2) unstable; urgency=low
 .
   * Fix "Bashisms in init script" (Closes: #534511)
   * Handle upgrade of old /etc/modprobe.d/bluez (Closes: #523050)
   * Conflict/Replace bluez-audio in bluez (Closes: #535089)
Checksums-Sha1: 
 f9f465051315e166dc05a9f0daec7ae6449bdea1 1558 bluez_4.42-2.dsc
 bc8e45b02315267bfd74d52f2e6b5ddf046ecb81 19662 bluez_4.42-2.diff.gz
 ebd6aff60a9854d0b88eb590f4eda75fa3392e80 25102 bluetooth_4.42-2_all.deb
 014f7b8a919d425acf587bf455e3f967e829c5ee 25136 bluez-utils_4.42-2_all.deb
 4503c5d9e83768caf2b834e33260cbe6f2d3afba 24936 bluez-audio_4.42-2_all.deb
 f75556f1871a34df345c1ab5f19b9b14b5df87b1 69800 libbluetooth3_4.42-2_amd64.deb
 f63c940c98735602346e9b963ffc0c4f0bc0db49 50930 libbluetooth-dev_4.42-2_amd64.deb
 54ac38dca893a64e31b3ea6f0cbaf26265df1995 490282 bluez_4.42-2_amd64.deb
 5d911537070add10b04d022351b43b9b10da6794 58742 bluez-alsa_4.42-2_amd64.deb
 3563ed278b055445892fb74dd9aaed4d3fd8e922 72276 bluez-gstreamer_4.42-2_amd64.deb
 c746fb8470429ff111fbe2af4e5158497725b913 37668 bluez-cups_4.42-2_amd64.deb
 135c8b3a0aa1ca9fd6baac0162fdbe8bea1a36c6 26606 bluez-pcmcia-support_4.42-2_amd64.deb
 4c2237cc980fb18e1ee947e08d180230b4df90cf 80318 bluez-compat_4.42-2_amd64.deb
Checksums-Sha256: 
 765d8af7a74dd9eb5149cee4c210deb1532c458ff92ee7de4c421830b327d58a 1558 bluez_4.42-2.dsc
 498c188a0ff0ca708927680f481a4110e434429dba7087abb8e2bae774b4fd39 19662 bluez_4.42-2.diff.gz
 23e4c9ac7d334b21c8e082598bc81f50e385db1db727c63e880bd9adc03bfb9f 25102 bluetooth_4.42-2_all.deb
 56ef888f4532c83a241898320ad315874fa823c8065fea0daf6eda657d1fe60b 25136 bluez-utils_4.42-2_all.deb
 f312bdcd0f5f3758d2925d70fdaeb60ae359c59cce219ff144c5456672b02d09 24936 bluez-audio_4.42-2_all.deb
 77da353edf30f43604560aa97abd0b92a3a5f8ed021c95bbbc59f57ee02eb2c7 69800 libbluetooth3_4.42-2_amd64.deb
 a476478c0999d529bcd8e0bf7914f80d1c4b3550c6faadb377fbb85dcb1f0666 50930 libbluetooth-dev_4.42-2_amd64.deb
 d0852c4e7b417beaee8e00e0facd3100f0e26bac57bad297e1bb2b44a1ebcb3a 490282 bluez_4.42-2_amd64.deb
 17b247a35480e5f58546b14aa4abedf77bb719cf5db5a1749e2f4ed1fae3f291 58742 bluez-alsa_4.42-2_amd64.deb
 d3fa2dead9d2c046bc7ba57179b5f88000b68aaa40bbb8a38f22dfee3a5e0bf9 72276 bluez-gstreamer_4.42-2_amd64.deb
 fe25f054c8da24b5ad5f62eae1e62c89dae99b29c6938b1762d2cf7ef3f307d3 37668 bluez-cups_4.42-2_amd64.deb
 5835447b7b7598b027eaf3fd4ee4633c7a3dd354c22a8313a0125d44c3c487df 26606 bluez-pcmcia-support_4.42-2_amd64.deb
 71c19aa6607525d427b225afdc166d47137b47f0d0a7601071ec5e6719ba2582 80318 bluez-compat_4.42-2_amd64.deb
Files: 
 76efc73961df60e980fe0e17b4c679e9 1558 admin optional bluez_4.42-2.dsc
 d45d29f3b12b689634f58a1e70eb2dfa 19662 admin optional bluez_4.42-2.diff.gz
 e7d468e17c3f4d1e6ff3468d11963a77 25102 admin optional bluetooth_4.42-2_all.deb
 d86cd87720c5fa4dbf66c951298ea2d9 25136 admin optional bluez-utils_4.42-2_all.deb
 be7da6752834f11711013882c53ada22 24936 admin optional bluez-audio_4.42-2_all.deb
 98c08a90ce8e174386042a8b254197aa 69800 libs optional libbluetooth3_4.42-2_amd64.deb
 c213012a53bc6be944938d75649351c2 50930 libdevel extra libbluetooth-dev_4.42-2_amd64.deb
 0ec9706992ab6c3cc1d1d2f4d918b069 490282 admin optional bluez_4.42-2_amd64.deb
 782ee5122aa2fcef7840a35e27bfbd4b 58742 admin optional bluez-alsa_4.42-2_amd64.deb
 5f22278a36d0b488c30cec7bec583713 72276 admin optional bluez-gstreamer_4.42-2_amd64.deb
 6f122f08bc7abf25aaeb43529d1e5401 37668 admin optional bluez-cups_4.42-2_amd64.deb
 10a0e4ce4a02f9c665ed75fed094d110 26606 admin extra bluez-pcmcia-support_4.42-2_amd64.deb
 3cf9b654f1d8083fe0fa1f7808877179 80318 admin optional bluez-compat_4.42-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpLP6EACgkQABzeamt51AHOwQCgnQjOnQ5vnz3Cw6pkfycIIJrN
iNsAoICPH8Sc1MxpKAI9VsU2vBHtItj3
=Q+55
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Aug 2009 07:29:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 23:36:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.